Bug 239094 - x11 ports use ssl master_sites
Summary: x11 ports use ssl master_sites
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-09 20:19 UTC by Miyashita Touka
Modified: 2019-08-06 14:16 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.78 KB, patch)
2019-07-09 20:19 UTC, Miyashita Touka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miyashita Touka 2019-07-09 20:19:16 UTC
Created attachment 205631 [details]
patch

Switch MASTER_SITES to HTTPS for some ports maintained by x11 team.
Comment 1 Miyashita Touka 2019-08-01 18:30:44 UTC
Maintainer timeout.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-08-02 10:35:51 UTC
(In reply to Miyashita Touka from comment #1)

This had never been properly assigned to the x11 team so I do not think maintainer-timeout applies.
Comment 3 Niclas Zeising freebsd_committer 2019-08-02 11:50:50 UTC
Thanks!
I'll have a look ASAP, but it looks straight forward.
Comment 4 commit-hook freebsd_committer 2019-08-06 14:15:32 UTC
A commit references this bug:

Author: zeising
Date: Tue Aug  6 14:14:59 UTC 2019
New revision: 508253
URL: https://svnweb.freebsd.org/changeset/ports/508253

Log:
  Switch a couple of x11 ports to https

  Switch over a couple of x11 ports, that doesn't use the common xorg master
  sites, to use https instead of http.

  PR:		239094
  Submitted by:	Miyashita Touka

Changes:
  head/graphics/libdrm/Makefile
  head/x11/libxcb/Makefile
  head/x11/libxkbcommon/Makefile
  head/x11/xcb-proto/Makefile
Comment 5 Niclas Zeising freebsd_committer 2019-08-06 14:16:06 UTC
Committed, thanks!